Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.components.barcode4j
Class BarcodeEvaluator

    java.lang.Object
      net.sf.jasperreports.components.barcode4j.AbstractBarcodeEvaluator
          net.sf.jasperreports.components.barcode4j.BarcodeEvaluator

All Implemented Interfaces:
  BarcodeVisitor

    public class BarcodeEvaluator

extends AbstractBarcodeEvaluator

Version:
  $Id: BarcodeEvaluator.java 3032 2009-08-27 11:32:28Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary

Fields inherited from class net.sf.jasperreports.components.barcode4j.AbstractBarcodeEvaluator
`barcode, barcodeComponent, componentElement, defaultStyleProvider, message`

Constructor Summary
`BarcodeEvaluator(FillContext fillContext, byte evaluationType)`

Method Summary
`protected void` | `evaluateBaseBarcode(BarcodeComponent barcodeComponent)`
`protected void` | `evaluateCodabar(CodabarComponent codabar)`
`protected void` | `evaluateCode128(Code128Component code128)`
`protected void` | `evaluateCode39(Code39Component code39)`
`protected void` | `evaluateDataMatrix(DataMatrixComponent dataMatrix)`
`protected void` | `evaluateEAN13(EAN13Component ean13)`
`protected void` | `evaluateEAN8(EAN8Component ean8)`
`protected void` | `evaluateEANCode128(EAN128Component ean128)`
`protected java.lang.Object` | `evaluateExpression(JRExpression expression)`
`protected void` | `evaluateInterleaved2Of5(Interleaved2Of5Component interleaved2Of5)`
`protected void` | `evaluatePDF417(PDF417Component pdf417)`
`protected void` | `evaluatePOSTNET(POSTNETComponent intelligentMail)`
`protected void` | `evaluateRoyalMailCustomer(RoyalMailCustomerComponent royalMailCustomer)`
`protected void` | `evaluateUPCA(UPCAComponent upcA)`
`protected void` | `evaluateUPCE(UPCEComponent upcE)`
`protected void` | `evaluateUSPSIntelligentMail(USPSIntelligentMailComponent intelligentMail)`

Methods inherited from class net.sf.jasperreports.components.barcode4j.AbstractBarcodeEvaluator
`evaluateBarcode, getBarcode, getElementStyle, getMessage, setBaseAttributes, setFourStateAttributes, visitCodabar, visitCode128, visitCode39, visitDataMatrix, visitEAN13, visitEAN8, visitEANCode128, visitInterleaved2Of5, visitPDF417, visitPostnet, visitRoyalMailCustomer, visitUPCA, visitUPCE, visitUSPSIntelligentMail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BarcodeEvaluator

    public BarcodeEvaluator(FillContext fillContext,
                            byte evaluationType)

Method Detail

### evaluateBaseBarcode

    protected void evaluateBaseBarcode(BarcodeComponent barcodeComponent)

### evaluateExpression

    protected java.lang.Object evaluateExpression(JRExpression expression)

### evaluateCodabar

    protected void evaluateCodabar(CodabarComponent codabar)

  Specified by:
    `evaluateCodabar` in class `AbstractBarcodeEvaluator`

### evaluateCode128

    protected void evaluateCode128(Code128Component code128)

  Specified by:
    `evaluateCode128` in class `AbstractBarcodeEvaluator`

### evaluateDataMatrix

    protected void evaluateDataMatrix(DataMatrixComponent dataMatrix)

  Specified by:
    `evaluateDataMatrix` in class `AbstractBarcodeEvaluator`

### evaluateEANCode128

    protected void evaluateEANCode128(EAN128Component ean128)

  Specified by:
    `evaluateEANCode128` in class `AbstractBarcodeEvaluator`

### evaluateCode39

    protected void evaluateCode39(Code39Component code39)

  Specified by:
    `evaluateCode39` in class `AbstractBarcodeEvaluator`

### evaluateUPCA

    protected void evaluateUPCA(UPCAComponent upcA)

  Specified by:
    `evaluateUPCA` in class `AbstractBarcodeEvaluator`

### evaluateUPCE

    protected void evaluateUPCE(UPCEComponent upcE)

  Specified by:
    `evaluateUPCE` in class `AbstractBarcodeEvaluator`

### evaluateEAN13

    protected void evaluateEAN13(EAN13Component ean13)

  Specified by:
    `evaluateEAN13` in class `AbstractBarcodeEvaluator`

### evaluateEAN8

    protected void evaluateEAN8(EAN8Component ean8)

  Specified by:
    `evaluateEAN8` in class `AbstractBarcodeEvaluator`

### evaluateInterleaved2Of5

    protected void evaluateInterleaved2Of5(Interleaved2Of5Component interleaved2Of5)

  Specified by:
    `evaluateInterleaved2Of5` in class `AbstractBarcodeEvaluator`

### evaluateRoyalMailCustomer

    protected void evaluateRoyalMailCustomer(RoyalMailCustomerComponent royalMailCustomer)

  Specified by:
    `evaluateRoyalMailCustomer` in class `AbstractBarcodeEvaluator`

### evaluateUSPSIntelligentMail

    protected void evaluateUSPSIntelligentMail(USPSIntelligentMailComponent intelligentMail)

  Specified by:
    `evaluateUSPSIntelligentMail` in class `AbstractBarcodeEvaluator`

### evaluatePOSTNET

    protected void evaluatePOSTNET(POSTNETComponent intelligentMail)

  Specified by:
    `evaluatePOSTNET` in class `AbstractBarcodeEvaluator`

### evaluatePDF417

    protected void evaluatePDF417(PDF417Component pdf417)

  Specified by:
    `evaluatePDF417` in class `AbstractBarcodeEvaluator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com